import { ESTree } from 'meriyah';
import { JSXContext } from './context';
declare class JSXError extends Error {
    constructor(message: string);
}
export declare class JSXEvaluateError extends JSXError {
    readonly source: Error | undefined;
    readonly node: ESTree.Node;
    readonly context: JSXContext;
    constructor(source: Error | string, node: ESTree.Node, context: JSXContext);
}
export declare class JSXBreak extends JSXError {
    readonly label: string | undefined;
    constructor(label?: string);
    get isLabeled(): boolean;
}
export declare class JSXContinue extends JSXError {
    readonly label: string | undefined;
    constructor(label?: string);
    get isLabeled(): boolean;
}
export declare class JSXReturn extends JSXError {
    readonly value: any;
    constructor(value: any);
}
export declare const wrapJSXError: (e: any, node: ESTree.Node, context: JSXContext) => JSXError;
export {};
//# sourceMappingURL=error.d.ts.map