import { ESTree } from 'meriyah';
import { JSXComponent, JSXElement, JSXFragment, JSXNode, JSXProperties, JSXText } from '../types/node';
import { JSXContext } from './context';
export declare const evalExpression: (exp: ESTree.Expression, context: JSXContext) => any;
export declare const evalArrayExpression: (exp: ESTree.ArrayExpression, context: JSXContext) => Array<any>;
export declare const evalArrowFunctionExpression: (exp: ESTree.ArrowFunctionExpression, context: JSXContext) => import("./options").AnyFunction;
export declare const evalAssignmentExpression: (exp: ESTree.AssignmentExpression, context: JSXContext) => any;
export declare const evalAwaitExpression: (exp: ESTree.AwaitExpression, context: JSXContext) => never;
export declare const evalBinaryExpression: (exp: ESTree.BinaryExpression, context: JSXContext) => any;
export declare const evalCallExpression: (exp: ESTree.CallExpression, context: JSXContext) => any;
export declare const evalChainExpression: (exp: ESTree.ChainExpression, context: JSXContext) => any;
export declare const evalConditionalExpression: (exp: ESTree.ConditionalExpression, context: JSXContext) => any;
export declare const evalFunctionExpression: (exp: ESTree.FunctionExpression, context: JSXContext) => import("./options").AnyFunction;
export declare const evalIdentifier: (exp: ESTree.Identifier, context: JSXContext) => any;
export declare const evalImport: (exp: ESTree.Import, context: JSXContext) => never;
export declare const evalImportExpression: (exp: ESTree.ImportExpression, context: JSXContext) => never;
export declare const evalLiteral: (exp: ESTree.Literal, _context: JSXContext) => ESTree.Literal['value'];
export declare const evalLogicalExpression: (exp: ESTree.LogicalExpression, context: JSXContext) => any;
export declare const evalMemberExpression: (exp: ESTree.MemberExpression, context: JSXContext) => any;
export declare const evalMetaProperty: (exp: ESTree.MetaProperty, context: JSXContext) => never;
export declare const evalNewExpression: (exp: ESTree.NewExpression, context: JSXContext) => any;
export declare const evalObjectExpression: (exp: ESTree.ObjectExpression, context: JSXContext) => Record<any, any>;
export declare const evalSequenceExpression: (exp: ESTree.SequenceExpression, context: JSXContext) => undefined;
export declare const evalSpreadElement: (exp: ESTree.SpreadElement, context: JSXContext) => any;
export declare const evalSuper: (_: ESTree.Super, context: JSXContext) => any;
export declare const evalTaggedTemplateExpression: (exp: ESTree.TaggedTemplateExpression, context: JSXContext) => any;
export declare const evalTemplateLiteral: (exp: ESTree.TemplateLiteral, context: JSXContext) => string;
export declare const evalThisExpression: (_: ESTree.ThisExpression, context: JSXContext) => any;
export declare const evalUnaryExpression: (exp: ESTree.UnaryExpression, context: JSXContext) => number | boolean | "string" | "number" | "bigint" | "boolean" | "symbol" | "undefined" | "object" | "function" | undefined;
export declare const evalUpdateExpression: (exp: ESTree.UpdateExpression, context: JSXContext) => any;
export declare const evalYieldExpression: (exp: ESTree.YieldExpression, context: JSXContext) => never;
export declare const evalProperty: (object: any, exp: ESTree.Property, context: JSXContext) => void;
export declare const evalJSXChild: (jsx: ESTree.JSXChild, context: JSXContext) => JSXNode;
export declare const evalJSXElement: (jsx: ESTree.JSXElement, context: JSXContext) => JSXElement;
export declare const evalJSXEmptyExpression: (_jsx: ESTree.JSXEmptyExpression, _context: JSXContext) => JSXNode;
export declare const evalJSXSpreadChild: (jsx: ESTree.JSXSpreadChild, context: JSXContext) => JSXFragment | undefined;
export declare const evalJSXExpressionContainer: (jsx: ESTree.JSXExpressionContainer, context: JSXContext) => any;
export declare const evalJSXFragment: (jsx: ESTree.JSXFragment, context: JSXContext) => JSXFragment;
export declare const evalJSXText: (jsx: ESTree.JSXText, _context: JSXContext) => JSXText;
export declare const evalJSXClosingElement: (_jsx: ESTree.JSXClosingElement, context: JSXContext) => undefined;
export declare const evalJSXClosingFragment: (_jsx: ESTree.JSXClosingFragment, context: JSXContext) => undefined;
export declare const evalJSXOpeningElement: (jsx: ESTree.JSXOpeningElement, context: JSXContext) => [JSXComponent, JSXProperties];
export declare const evalJSXOpeningFragment: (_jsx: ESTree.JSXOpeningFragment, context: JSXContext) => [undefined, JSXProperties];
export declare const evalJSXTagNameExpression: (jsx: ESTree.JSXTagNameExpression, context: JSXContext) => string;
export declare const evalJSXIdentifier: (jsx: ESTree.JSXIdentifier, _context: JSXContext) => string;
export declare const evalJSXMemberExpression: (jsx: ESTree.JSXMemberExpression, context: JSXContext) => string;
export declare const evalJSXNamespacedName: (jsx: ESTree.JSXNamespacedName, context: JSXContext) => string;
export declare const evalJSXAttribute: (jsx: ESTree.JSXAttribute, context: JSXContext) => [string, any];
export declare const evalJSXSpreadAttribute: (jsx: ESTree.JSXSpreadAttribute, context: JSXContext) => any;
export declare const evalJSXAttributeValue: (jsx: ESTree.JSXAttributeValue, context: JSXContext) => any;
//# sourceMappingURL=expression.d.ts.map