import { FC, Ref, VFC } from 'react';
import { EvaluateOptions, ParseOptions } from '../evaluate';
import { JSXNode } from '../types';
import { RenderingOptions } from './options';
export interface JSXNodeRendererProps extends RenderingOptions {
    nodes: JSXNode[];
}
declare const JSXNodeRenderer: VFC<JSXNodeRendererProps>;
export { JSXNodeRenderer };
export interface JSXRendererProps extends ParseOptions, EvaluateOptions, Omit<JSXNodeRendererProps, 'nodes'> {
    code?: string;
    fallbackComponent?: JSXFallbackComponent;
    refNodes?: Ref<JSXNode[]>;
}
export declare type JSXFallbackComponent = VFC<{
    error: Error;
} & JSXRendererProps>;
declare const JSXRenderer: VFC<JSXRendererProps>;
export { JSXRenderer };
export declare const JSXRendererOptionsProvider: FC<JSXRendererProps>;
//# sourceMappingURL=renderer.d.ts.map